Bug 986165 - Review Request: jackson-annotations - Core annotations for Jackson data processor
Review Request: jackson-annotations - Core annotations for Jackson data proce...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
:
: 857080 (view as bug list)
Depends On:
Blocks: 857102 984554
  Show dependency treegraph
 
Reported: 2013-07-19 02:19 EDT by gil cattaneo
Modified: 2013-08-04 07:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: jackson-annotations-2.2.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-03 20:09:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
negativo17: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-07-19 02:19:24 EDT
Spec URL: http://gil.fedorapeople.org/jackson-annotations.spec
SRPM URL: http://gil.fedorapeople.org/jackson-annotations-2.2.2-1.fc19.src.rpm
Description: 
Core annotations used for value types,
used by Jackson data-binding package.

Fedora Account System Username: gil

This is a re-review request for a package rename, jackson2-annotations
Comment 1 Simone Caronni 2013-07-22 03:12:57 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[-]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jackson-
     annotations-javadoc
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 34 files have unknown license. Detailed output of
     licensecheck in /home/slaanesh/Documents/fedora/986165-jackson-
     annotations/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     Note: Found : Packager: Simone Caronni <negativo17@gmail.com>
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jackson-annotations-2.2.2-1.fc20.noarch.rpm
          jackson-annotations-javadoc-2.2.2-1.fc20.noarch.rpm
jackson-annotations.noarch: W: self-obsoletion jackson2-annotations <= 2.2.2 obsoletes jackson2-annotations = 2.2.2
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jackson-annotations-javadoc jackson-annotations
jackson-annotations.noarch: W: self-obsoletion jackson2-annotations <= 2.2.2 obsoletes jackson2-annotations = 2.2.2
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
jackson-annotations-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

jackson-annotations (rpmlib, GLIBC filtered):
    java
    jpackage-utils



Provides
--------
jackson-annotations-javadoc:
    jackson-annotations-javadoc

jackson-annotations:
    jackson-annotations
    jackson2-annotations
    mvn(com.fasterxml.jackson.core:jackson-annotations)



Source checksums
----------------
https://github.com/FasterXML/jackson-annotations/archive/jackson-annotations-2.2.2.tar.gz :
  CHECKSUM(SHA256) this package     : 7a13c4279e8d50793ef88885a6e6854a1a8c368905efb510560f5a5e99882939
  CHECKSUM(SHA256) upstream package : 7a13c4279e8d50793ef88885a6e6854a1a8c368905efb510560f5a5e99882939
http://www.apache.org/licenses/LICENSE-2.0.txt :
  CHECKSUM(SHA256) this package     : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
  CHECKSUM(SHA256) upstream package : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 986165
Comment 2 Simone Caronni 2013-07-22 03:16:35 EDT
(In reply to Simone Caronni from comment #1)
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "Unknown or generated". 34 files have unknown license. Detailed output
> of
>      licensecheck in /home/slaanesh/Documents/fedora/986165-jackson-
>      annotations/licensecheck.txt
> [!]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.
> [!]: Package does not include license text files separate from upstream.

Fixed in spec file; has it been reported upstream?

> [!]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
>      Note: Found : Packager: Simone Caronni <negativo17@gmail.com>

That's my local .rpmmacros.

> jackson-annotations.noarch: W: self-obsoletion jackson2-annotations <= 2.2.2
> obsoletes jackson2-annotations = 2.2.2

Can you fix this? Spec file should read:

Obsoletes:     jackson2-annotations < %{version}
Provides:      jackson2-annotations = %{version}

As per: https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages

Please fix it before importing. Package approved.
Comment 3 gil cattaneo 2013-07-22 03:36:26 EDT
(In reply to Simone Caronni from comment #2)
> (In reply to Simone Caronni from comment #1)
> > [!]: License field in the package spec file matches the actual license.
> >      Note: Checking patched sources after %prep for licenses. Licenses found:
> >      "Unknown or generated". 34 files have unknown license. Detailed output
> > of
> >      licensecheck in /home/slaanesh/Documents/fedora/986165-jackson-
> >      annotations/licensecheck.txt
> > [!]: If the source package does not include license text(s) as a separate
> > file
> >      from upstream, the packager SHOULD query upstream to include it.
> > [!]: Package does not include license text files separate from upstream.
> 
> Fixed in spec file; has it been reported upstream?
yes  @ https://github.com/FasterXML/jackson-annotations/issues/14
> 
> > [!]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> >      Note: Found : Packager: Simone Caronni <negativo17@gmail.com>
> 
> That's my local .rpmmacros.
> 
> > jackson-annotations.noarch: W: self-obsoletion jackson2-annotations <= 2.2.2
> > obsoletes jackson2-annotations = 2.2.2
> 
> Can you fix this? Spec file should read:
> 
> Obsoletes:     jackson2-annotations < %{version}
> Provides:      jackson2-annotations = %{version}
done
> 
> As per:
> https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.
> 2FReplacing_Existing_Packages
> 
> Please fix it before importing. Package approved.

thanks

Spec URL: http://gil.fedorapeople.org/jackson-annotations.spec
SRPM URL: http://gil.fedorapeople.org/jackson-annotations-2.2.2-2.fc19.src.rpm


New Package SCM Request
=======================
Package Name: jackson-annotations
Short Description: Core annotations for Jackson data processor
Owners: gil
Branches: f19 f20
InitialCC: java-sig
Comment 4 Gwyn Ciesla 2013-07-22 06:06:03 EDT
Git done (by process-git-requests).

f20 not branched yet.
Comment 5 Marek Goldmann 2013-07-24 02:37:59 EDT
*** Bug 857080 has been marked as a duplicate of this bug. ***
Comment 6 Fedora Update System 2013-07-26 00:40:12 EDT
jackson-annotations-2.2.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jackson-annotations-2.2.2-2.fc19
Comment 7 Fedora Update System 2013-07-26 19:02:23 EDT
jackson-annotations-2.2.2-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 8 Fedora Update System 2013-08-03 20:09:56 EDT
jackson-annotations-2.2.2-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.